<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:foreground="?attr/selectableItemBackground"
        app:cardCornerRadius="@dimen/dp_8"
        app:cardElevation="@dimen/dp_2"
        app:cardPreventCornerOverlap="true"
        app:cardUseCompatPadding="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/dp_14"
            android:paddingTop="@dimen/dp_10"
            android:paddingRight="@dimen/dp_14"
            android:paddingBottom="@dimen/dp_6">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginRight="@dimen/dp_5"
                android:layout_weight="2"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/tv_pay_method"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_payments_btn"
                    android:gravity="left"
                    android:paddingLeft="@dimen/dp_8"
                    android:paddingTop="@dimen/dp_6"
                    android:paddingRight="@dimen/dp_8"
                    android:paddingBottom="@dimen/dp_6"
                    android:textColor="@color/white"
                    android:textSize="@dimen/dp_14"
                    android:textStyle="bold"
                    tools:text="支付方式" />

                <View
                    android:layout_width="wrap_content"
                    android:layout_height="0dp"
                    android:layout_weight="1" />

                <TextView
                    android:id="@+id/tv_order_user_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:maxLines="2"
                    android:textColor="@color/theme_text_color"
                    android:textSize="@dimen/sp_14"
                    android:textStyle="bold"
                    tools:text="用戶名+手機號（1234567862）安居房三級分類誰的簡歷福克斯就"
                    tools:textColor="@color/theme_333_color" />

                <View
                    android:layout_width="wrap_content"
                    android:layout_height="0dp"
                    android:layout_weight="1" />

                <TextView
                    android:id="@+id/tv_order_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:maxLines="1"
                    android:textColor="@color/theme_text_color"
                    android:textSize="@dimen/sp_14"
                    android:textStyle="bold"
                    tools:text="訂單碼：1002"
                    tools:textColor="@color/theme_333_color" />

                <View
                    android:layout_width="wrap_content"
                    android:layout_height="0dp"
                    android:layout_weight="1" />

                <TextView
                    android:id="@+id/tv_address"
                    style="@style/order_item_info_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/color_3c"
                    tools:text="用戶收貨地址"
                    tools:textColor="#868686" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="right"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/tv_order_time"
                    style="@style/order_item_twelve_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="right"
                    android:text="@string/Key_add_10"
                    android:textSize="@dimen/dp_10"
                    tools:text="2019-07-06 15:30:00"
                    tools:textColor="@color/theme_333_color" />

                <TextView
                    android:id="@+id/tv_logistics_order_print_state"
                    style="@style/order_item_info_title_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_2"
                    android:gravity="right"
                    android:textColor="@color/color_3c"
                    tools:text="物流單已打印" />

                <TextView
                    android:id="@+id/tv_order_print_state"
                    style="@style/order_item_info_title_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_2"
                    android:gravity="right"
                    android:textColor="@color/color_3c"
                    android:textStyle="bold"
                    tools:text="訂單已打印" />

                <TextView
                    android:id="@+id/tv_delivery_state"
                    style="@style/order_item_info_title_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_2"
                    android:gravity="right"
                    android:textColor="@color/color_3c"
                    tools:text="已通知物流"
                    tools:textColor="@color/theme_333_color" />


                <TextView
                    android:id="@+id/tv_order_state"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_3"
                    android:gravity="center"
                    android:paddingLeft="@dimen/dp_20"
                    android:paddingTop="@dimen/dp_8"
                    android:paddingRight="@dimen/dp_20"
                    android:paddingBottom="@dimen/dp_8"
                    android:textColor="@color/white"
                    android:textSize="@dimen/dp_12"
                    tools:text="訂單狀態"
                    tools:textColor="@color/theme_333_color" />

                <TextView
                    android:id="@+id/tv_order_amount"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_3"
                    android:gravity="center_horizontal"
                    android:maxWidth="@dimen/dp_100"
                    android:textColor="@color/red_600"
                    android:textSize="@dimen/sp_16"
                    tools:text="$14141144"
                    tools:textColor="@color/theme_333_color" />
            </LinearLayout>

        </LinearLayout>

        <FrameLayout
            android:id="@+id/fl_border"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/shape_order_border"
            android:visibility="gone" />
    </androidx.cardview.widget.CardView>
</FrameLayout>
